
<ng-template showWhen [container]="content" #header="showWhen">
    <ion-header class="ion-fixed ion-shadow ion-index-1" [@slideDown]>
        <ion-toolbar>
            <ion-buttons slot="start">
                <ion-back-button icon="chevron-back" color="dark"></ion-back-button>
            </ion-buttons>
            <ion-title class="ion-no-padding ion-font-lg">{{ tiendaService.model?.name }}</ion-title>
            <ng-template [ngIf]="header.hasBeenForced">
                <ion-buttons slot="end">
                    <ion-button (click)="header.toggle(false)">
                        <ion-icon name="close" slot="icon-only"></ion-icon>
                    </ion-button>
                </ion-buttons>
            </ng-template>
        </ion-toolbar>
        <ng-template [ngIf]="header.hasBeenForced">
            <ion-toolbar>
                <app-searchbar></app-searchbar>
            </ion-toolbar>
        </ng-template>
    </ion-header>
</ng-template>

<ion-content #content fullscreen scrollEvents>

    <!-- Header Image -->
    <ion-header class="ion-no-border">
        <!-- Toolbar -->
        <ion-toolbar style="--background: transparent">
            <ion-buttons slot="start">
                <ion-back-button color="white" icon="chevron-back" defaultHref="/app/tienda"></ion-back-button>
            </ion-buttons>
            <ion-buttons slot="end">
                <ion-button color="white" (click)="header.toggle(true)">
                    <ion-icon slot="icon-only" name="search-outline"></ion-icon>
                </ion-button>
                <ion-button color="white">
                    <ion-icon slot="icon-only" name="bookmark-outline"></ion-icon>
                </ion-button>
            </ion-buttons>
        </ion-toolbar>

        <!-- Background Image -->
        <ion-thumbnail class="ion-absolute ion-top-0 ion-w-100 ion-h-100 ion-index-n1">
            <ion-img [src]="tiendaService.model?.imgURL" [alt]="tiendaService.model?.name"></ion-img>
        </ion-thumbnail>

        <div class="ion-flex ion-flex-column ion-align-items-center ion-pb-4">
            <!-- Thumbnail -->
            <ion-avatar style="width: 4rem; height: 4rem;">
                <ion-img [src]="tiendaService.model?.thumbnail"></ion-img>
            </ion-avatar>

            <!-- Name -->
            <ion-label color="white">
                <h6 class="ion-mt-3 ion-mb-2 ion-font-bold">{{ tiendaService.model?.name }}</h6>
            </ion-label>

            <!-- Rating -->
            <app-rating  percentColor="white" starSize="14px"></app-rating>

            <!-- Delivery -->
            <ion-chip color="white" outline>
                <small>
                    {{
                        tiendaService.model?.acceptDelivery
                            ? "Envio " + tiendaService.model?.delivery
                            : "Pickup"
                    }}
                </small>
            </ion-chip>
        </div>

        <!-- Shadow -->
        <div class="ion-absolute ion-bottom-0 ion-w-100 ion-h-100 ion-index-n1"
            style="background: linear-gradient(rgba(39, 50, 57, 0), rgb(39, 50, 57) 70%);">
        </div>
    </ion-header>

    <ng-container *ngIf="!service.waiting; else spinner">
        <!-- Row 1x3 - 1x1 -->
        <!-- Menu Options -->
        <ion-row>
            <ng-container *ngFor="let opts of options">
                <ion-col size="4">
                    <ion-button fill="clear" expand="block" color="dark" style="min-height: 60px;" [routerLink]="[opts.route]">
                        <ion-label class="ion-text-capitalize">
                            <ion-icon [name]="opts.icon" style="font-size: 24px"></ion-icon>
                            <h6 class="ion-font-sm ion-font-bold ion-my-1">{{ opts.label }}</h6>
                        </ion-label>
                    </ion-button>
                </ion-col>
            </ng-container>
        </ion-row>
    
        <div class="app-divider"></div>
    
        <!-- Menu Offers -->
        <ion-row>
            <ion-col>
                <ion-slides>
                        <ion-slide *ngFor="let offer of service.data">
                            <menu-offer [title]="offer.name" [thumbnail]="tiendaService.model?.thumbnail" [imageURL]="offer.thumbnail"
                                [details]="offer.details" (click)="onAdd(offer)">
                            </menu-offer>
                        </ion-slide>
                </ion-slides>
            </ion-col>
        </ion-row>
    
        <!-- Menu Foods -->
        <ion-list>
            <ng-container *ngFor="let c of service.data">
                <menu-item [name]="c.name" [price]="c.price" [thumbnail]="c.thumbnail" 
                    [details]="c.details" [state]="c.state" (click)="onAdd(c)">
                </menu-item>
            </ng-container>
        </ion-list>
    </ng-container>

    <!-- Loader Spinner -->
    <ng-template #spinner>
        <ion-row class="ion-justify-content-center">
            <ion-col size="auto">
                <br><br>
                <ion-spinner color="secondary"></ion-spinner>
            </ion-col>
        </ion-row>
    </ng-template>

</ion-content>

<ion-footer class="ion-no-border" *ngIf="service.pedido?.pedidos?.length > 0">
    <ion-toolbar color="primary" class="ion-round-top ion-round-xl">
        <ion-item button lines="none" color="primary" style="--ripple-color: #fff;" mode="ios" routerLink="/app/pedido">
            <ion-label>
                <ion-badge style="--background: rgba(0,0,0, .1); padding: 6px 12px; margin-bottom: -6px;">
                    {{ service.pedido.count() }}
                </ion-badge>
                <strong>&nbsp;Pedidos</strong>
            </ion-label>
            <ion-text slot="end">
                <strong>{{ service.pedido.subtotal() | currency }}</strong>
            </ion-text>
        </ion-item>
    </ion-toolbar>
</ion-footer>